Composable services: move hiera data out of controller role

Bug #1604414 reported by Dan Prince on 2016-07-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
High
Dan Prince

Bug Description

Move all of the heira settings except for local/bind ports out of the controller role.

Dan Prince (dan-prince) on 2016-07-19
Changed in tripleo:
importance: Undecided → Medium
Dan Prince (dan-prince) on 2016-07-19
Changed in tripleo:
importance: Medium → High
tags: added: composable-roles
Steven Hardy (shardy) on 2016-07-20
Changed in tripleo:
assignee: nobody → Steven Hardy (shardy)
milestone: none → newton-3
status: New → Triaged
Changed in tripleo:
status: Triaged → In Progress

Related fix proposed to branch: master
Review: https://review.openstack.org/356640

Related fix proposed to branch: master
Review: https://review.openstack.org/357344

Reviewed: https://review.openstack.org/356505
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=58bf3932a86f2f5582937e3da8cb74dfd29c116b
Submitter: Jenkins
Branch: master

commit 58bf3932a86f2f5582937e3da8cb74dfd29c116b
Author: Dan Prince <email address hidden>
Date: Wed Aug 17 10:15:05 2016 -0400

    Move MySQL settings out of puppet/controller.yaml

    This moves the config settings out of controller.yaml for MySQL
    and into puppet/services/database/mysql.yaml.

    The top leve MysqlRootPassword is still maintained by default
    in overcloud.yaml so that users who upgrade won't get
    broken. New users may optionally specify the MysqlRootPassword
    as a parameter instead which will take priority over the top
    level generated parameter.

    We drop the top level MysqlClusterUniquePart because it is no
    longer used (I think it was a remnant from t-i-e).

    Related-Bug: #1604414

    Change-Id: I06ebac0f4c87dabfccefb2e550a64650868c5b26

Reviewed: https://review.openstack.org/356640
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=92f2cfb162294c289b2ef246c739d2da5dc22a4b
Submitter: Jenkins
Branch: master

commit 92f2cfb162294c289b2ef246c739d2da5dc22a4b
Author: Dan Prince <email address hidden>
Date: Wed Aug 17 13:26:40 2016 -0400

    Move RabbitMQ settings out of controller.yaml

    This moves the config settings out of controller.yaml for RabbitMQ
    and into puppet/services/rabbitmq.yaml.

    Related-Bug: #1604414

    Change-Id: I6b3d71653fb91b89b85dae7df4088afff22b71ac

Reviewed: https://review.openstack.org/357344
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=db4d11f7f57944456807f5e3fbd1ab0417017f9e
Submitter: Jenkins
Branch: master

commit db4d11f7f57944456807f5e3fbd1ab0417017f9e
Author: Dan Prince <email address hidden>
Date: Thu Aug 18 12:30:14 2016 -0400

    Move Keepalived/HAproxy settings out of controller

    This moves the config settings out of controller.yaml for Keepalived
    and HAproxy.

    NOTE: the tripleo::haproxy::redis_password wasn't getting set
    correctly before this patch. Looks like a breakages that
    occurred when puppet-tripleo dropped the loadbalancer class.

    Related-Bug: #1604414

    Change-Id: Id24b02ac73f4ae33b20194da8a5f99f17403ece9

Related fix proposed to branch: master
Review: https://review.openstack.org/360697

Related fix proposed to branch: master
Review: https://review.openstack.org/360751

Reviewed: https://review.openstack.org/360029
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=43476e235ce11359a5327f9dfca671b8ffeb5ab9
Submitter: Jenkins
Branch: master

commit 43476e235ce11359a5327f9dfca671b8ffeb5ab9
Author: Dan Prince <email address hidden>
Date: Wed Aug 24 14:02:13 2016 -0400

    Move glance/heat hiera settings to services

    This patch removes the remaining bind IP, and password
    settings for Heat and Glance into the composable services.

    Change-Id: I17abcb2a08a1972cbcf8163f6608ac22ddfc15f7
    Related-bug: #1604414

Reviewed: https://review.openstack.org/360536
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=dd9c8d6e9c5e28ee2267bfb7d58de554988451b2
Submitter: Jenkins
Branch: master

commit dd9c8d6e9c5e28ee2267bfb7d58de554988451b2
Author: Dan Prince <email address hidden>
Date: Thu Aug 25 09:22:08 2016 -0400

    Mv ceilo, aodh, and gnocchi out of controller.yaml

    This patch moves the remaining hiera settings for
    Ceilometer, Aodh, and Gnocchi out of controller.yaml
    and into the respective composable services.

    Change-Id: I01377aa5c121ecbb4a96b4f0525924c7bbf12198
    Related-bug: #1604414

Reviewed: https://review.openstack.org/360697
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=ff3924988ad98b98738a0b44a8924ca74b79231c
Submitter: Jenkins
Branch: master

commit ff3924988ad98b98738a0b44a8924ca74b79231c
Author: Giulio Fidente <email address hidden>
Date: Thu Aug 25 19:29:57 2016 +0200

    Move Redis, Memcached, Sahara, OVS agent out of role templates

    Change-Id: I99784b5cfbb741bfc6d1ce9b77e8acf6cf00e073
    Related-Bug: 1604414

Steven Hardy (shardy) on 2016-08-26
Changed in tripleo:
assignee: Steven Hardy (shardy) → Dan Prince (dan-prince)

Change abandoned by Giulio Fidente (<email address hidden>) on branch: master
Review: https://review.openstack.org/360751
Reason: included in I35d909bd5abc23976b5732a2b9af31cf1448838e

Reviewed: https://review.openstack.org/361362
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=e3cb92a5db51eb80d0806a9bf42b689756a4ac9f
Submitter: Jenkins
Branch: master

commit e3cb92a5db51eb80d0806a9bf42b689756a4ac9f
Author: Dan Prince <email address hidden>
Date: Fri Aug 26 12:41:53 2016 -0400

    Mv Nova, Neutron, Horizon out of controller.yaml

    This patch moves the settings for Nova, Neutron, and Horizon
    out of controller.yaml.

    Also fixes the NovaPassword settings in nova-base.yaml
    so they don't use get_input.

    Also, creates a new apache.yaml base service to contain shared
    apache settings for several services which use Apache for WSGI.

    Co-Authored-By: Giulio Fidente <email address hidden>

    Change-Id: I35d909bd5abc23976b5732a2b9af31cf1448838e
    Related-bug: #1604414

Steven Hardy (shardy) on 2016-08-31
Changed in tripleo:
milestone: newton-3 → newton-rc1

Reviewed: https://review.openstack.org/360062
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=5bacfe10f07970c55e80e3ff2886b9dba43696ee
Submitter: Jenkins
Branch: master

commit 5bacfe10f07970c55e80e3ff2886b9dba43696ee
Author: Dan Prince <email address hidden>
Date: Fri Aug 26 13:13:09 2016 -0400

    Move snmp settings into composable services

    Provides snmp_readonly_user_* parameters to the base::snmp class
    and removes them from the role templates.

    Related-bug: #1604414

    Co-Authored-By: Giulio Fidente <email address hidden>

    Change-Id: I35b1ff23baff0c25e742562e1103a3882f7bf767

Reviewed: https://review.openstack.org/361398
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=827d110a34c611956620cddddeab51dedb4f63e6
Submitter: Jenkins
Branch: master

commit 827d110a34c611956620cddddeab51dedb4f63e6
Author: Dan Prince <email address hidden>
Date: Fri Aug 26 13:48:39 2016 -0400

    Mv pacemaker and firewall out of controller

    This patch moves settings for pacemaker and the tripleo firewall
    out of controller.yaml.

    Related bug: #1604414

    Change-Id: I0164717bfd79cdea3de8eb7a64771028bea201ac

Emilien Macchi (emilienm) wrote :

I think we can close this one, though I still see 2 hieradata parameters, not sure we need to move them. Thoughts?

Changed in tripleo:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers